#if !defined(AFX_CBITMAP)
#define AFX_CBITMAP

class CBitmap
{
	HBITMAP hBmp;
public:
	void operator =(HBITMAP b)
	{
		Delete();
		hBmp=b;
	}
	operator HBITMAP()
	{
		return hBmp;
	}
	~CBitmap()
	{
		Delete();
	}
	CBitmap()
	{
		hBmp=NULL;
	}
	CBitmap(HBITMAP b)
	{
		hBmp=b;
	}
	CBitmap(int w,int h)
	{
		hBmp=NULL;
		Create(w,h);
	}
	void Create(int w,int h)
	{
		Delete();
		HDC dc=GetDC(NULL);
		hBmp=CreateCompatibleBitmap(dc,w,h);
		ReleaseDC(NULL,dc);
	}
	void Delete()
	{
		if(hBmp)
			DeleteObject(hBmp);
		hBmp=NULL;
	}
};

class CDC
{
	HDC hDC;
public:
	void operator =(HDC d)
	{
		hDC=d;
	}
	operator HDC()
	{
		return hDC;
	}
	~CDC()
	{
		Delete();
	}
	CDC()
	{
		hDC=NULL;
		Create();
	}
	CDC(HDC b)
	{
		hDC=b;
	}
	void Create()
	{
		Delete();
		HDC dc=GetDC(NULL);
		hDC=CreateCompatibleDC(dc);
		ReleaseDC(NULL,dc);
	}
	void Delete()
	{
		if(hDC)
			DeleteDC(hDC);
		hDC=NULL;
	}
};
#endif
/*
ʏHBITMAPAHDCƒuĎgĂB
ADeleteObject͎sȂƁB
()
CBitmap bmp=(HBITMAP)LoadImage(NULL,"test.bmp",IMAGE_BITMAP,0,0,LR_LOADFROMFILE);
CDC dc;
CBitmap hBmpOld=(HBITMAP)SelectObject(dc,bmp);
BitBlt(hDC,0,0,200,200,dc,0,0,SRCCOPY);
SelectObject(dc,hBmpOld);
*/